Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1005805 - [rhevm] Webadmin - Vms - SearchBox "Vms:uptime" doesn't work (Vms: uptime > [nor] Vms: uptime <)
Summary: [rhevm] Webadmin - Vms - SearchBox "Vms:uptime" doesn't work (Vms: uptime > [...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Shahar Havivi
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-09-09 12:27 UTC by David Botzer
Modified: 2017-01-03 11:08 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 08:30:01 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
true-uptime-exists (deleted)
2013-09-09 12:27 UTC, David Botzer
no flags Details
doesnt-work (deleted)
2013-09-09 12:27 UTC, David Botzer
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30737 master MERGED engine: search: vms.uptime is not working Never
oVirt gerrit 31066 ovirt-engine-3.5 MERGED engine: search: vms.uptime is not working Never

Description David Botzer 2013-09-09 12:27:02 UTC
Created attachment 795596 [details]
true-uptime-exists

Description of problem:
SearchBox "Vms:uptime" doesn't work (Vms: uptime > [nor] Vms: uptime <)

Version-Release number of selected component (if applicable):
3.3/is13
rhevm-3.3.0-0.19.master.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1.Select Vms Tab in webadmin 
2.Type & select from autocomplete "Vms:uptime> or <"

Actual results:
The filter/search doesnt work either way

uptime > shows all
uptime < shows none

Expected results:
Should display all VM that are running more than, or less than xx MIN/hours/days

Additional info:
pic

Should we allow Hours or Days in search ? not to get into Calculatios of convertion
121 Days = 174240 Minutes
365 Days = 525600 Minutes

Comment 1 David Botzer 2013-09-09 12:27:45 UTC
Created attachment 795597 [details]
doesnt-work

Comment 3 Shahar Havivi 2014-07-27 12:46:16 UTC
currently the format we are using is:
number: assuming days (vms: uptime > 1)
time: hours:minutes (vms: uptime < 02:15)

If the query is for vms that run less then an hour (or any other time) we do display the vms that are down as well, is that the behaviour we want or should we not show the down vms?

Comment 4 Michal Skrivanek 2014-08-05 09:04:43 UTC
it's good enough if user can do "vms: uptime < 1:00 AND Vms:status = up"
(still need a proposed patch though)

Comment 5 Pavel Novotny 2014-08-29 16:30:37 UTC
Verified upstream in ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch (rc1.1).

Queries with hours:minutes or days work as expected, e.g.,
HH:MM format - Vms: uptime > 00:55 
days format - Vms: uptime > 2

Comment 6 Omer Frenkel 2015-02-17 08:30:01 UTC
RHEV-M 3.5.0 has been released

Comment 7 Yaniv Lavi 2017-01-03 11:08:27 UTC
Removing old needinfos. Please restore, if still needed.


Note You need to log in before you can comment on or make changes to this bug.